SystemOrganization addCategory: #'DripfeedIt-REST'!

WARestfulHandler subclass: #DFIHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-REST'!

!DFIHandler commentStamp: '<historical>' prior: 0!
A DFIHandler is handling the RESTAPI for DripfeedIt.

!

!DFIHandler class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 14:07'!
initialize
  self register! !

!DFIHandler class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:03'!
register
   WAAdmin register: DFIHandler at: 'dfi-api'! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:40'!
funky
  <get>
  <path:  'funky.html'>
  ^'Funky fun'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:53'!
getEmptyPath
    "will be executed if the request path is empty"
    <get>
    ^'Empty Path!!'! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:11'!
getFirst: pathElement
    <get>
    ^'FIRST'! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:43'!
getThatBunch: ofKlettes
  <get>
"  <path:  'funky.html'>"
  ^'Index!!'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:45'!
getThatBunch: fromCity and: withLook
  <get>
  <path:  '{fromCity}/look/{withLook}'>
  ^'Looking for ',fromCity, ' and look ', withLook
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:41'!
index
  <get>
"  <path:  'funky.html'>"
  ^'Index!!'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:06'!
list
	<get>
   ^'SUCCESSFULCALL'
"	| test |
	test := Collection new.
	test add: 'entry1'.
	test add: 'entry2'.
""	^ String
		streamContents: [ :stream | 
			test do: [ :each | 
					stream
						nextPutAll: each;
						crlf ] ]"! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:08'!
list2
	<get>
   ^'SUCCESSFULCALL2'
"	| test |
	test := Collection new.
	test add: 'entry1'.
	test add: 'entry2'.
""	^ String
		streamContents: [ :stream | 
			test do: [ :each | 
					stream
						nextPutAll: each;
						crlf ] ]"! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:53'!
simpleCopy
	<copy>
   ^'Simple Copy'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:53'!
simpleDelete
	<delete>
   ^'Simple Delete'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:56'!
simpleGet
	<get>
   ^'Simple Get'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/24/2013 01:22'!
simpleGet: query
	<get>
	<path: '/simpleGet?q={query}'>
     <produces: 'text/json'>

	"(self requestContext request copy) inspect."

	self requestContext response 
		headerAt: 'Access-Control-Allow-Origin'
		put: '*'.
	"(self requestContext response copy) inspect."
	"could also use halt"
   "^ ('Simple Get with q=',query) asJavascript "
   ^ (Array streamContents: [ :stream |
      DFIStories default items do: [ :each |
         stream nextPut: (Dictionary new
            at: 'title' put: each title;
            yourself) ] ])
      asJavascript
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:55'!
simpleHead
   "Unsupported"
	<head>
   ^'Simple Head'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 22:55'!
simpleMove
	<move>
   ^'Simple Move'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:09'!
simplePost
	<post>
   ^'SUCCESSFULPOST'
! !

!DFIHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 5/22/2013 21:55'!
simplePut
	<put>
   ^'Simple Put'
! !

WARestfulHandler subclass: #DFIMealsHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DripfeedIt-REST'!

!DFIMealsHandler class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 14:06'!
initialize
  self register! !

!DFIMealsHandler class methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/21/2013 14:11'!
register
   WAAdmin register: DFIMealsHandler at: 'dfi-meals-api'! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
funky
  <get>
  <path:  'funky.html'>
  ^'Funky fun'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
getEmptyPath
    "will be executed if the request path is empty"
    <get>
    ^'Empty Path!!'! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
getFirst: pathElement
    <get>
    ^'FIRST'! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
getThatBunch: ofKlettes
  <get>
"  <path:  'funky.html'>"
  ^'Index!!'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
getThatBunch: fromCity and: withLook
  <get>
  <path:  '{fromCity}/look/{withLook}'>
  ^'Looking for ',fromCity, ' and look ', withLook
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
index
  <get>
"  <path:  'funky.html'>"
  ^'Index!!'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
list
	<get>
   ^'SUCCESSFULCALL'
"	| test |
	test := Collection new.
	test add: 'entry1'.
	test add: 'entry2'.
""	^ String
		streamContents: [ :stream | 
			test do: [ :each | 
					stream
						nextPutAll: each;
						crlf ] ]"! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
list2
	<get>
   ^'SUCCESSFULCALL2'
"	| test |
	test := Collection new.
	test add: 'entry1'.
	test add: 'entry2'.
""	^ String
		streamContents: [ :stream | 
			test do: [ :each | 
					stream
						nextPutAll: each;
						crlf ] ]"! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:43'!
registerMeal
  <get>
  <path:  'register_meal.html'>
  ^'REGISTER MEAL'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:43'!
reviewEfficiency
  <get>
  <path:  'review_efficiency.html'>
  ^'Review Efficiency'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleCopy
	<copy>
   ^'Simple Copy'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleDelete
	<delete>
   ^'Simple Delete'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleGet
	<get>
   ^'Simple Get'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleGet: query
	<get>
	<path: '/simpleGet?q={query}'>
     <produces: 'text/json'>

	"(self requestContext request copy) inspect."

	self requestContext response 
		headerAt: 'Access-Control-Allow-Origin'
		put: '*'.
	"(self requestContext response copy) inspect."
	"could also use halt"
   "^ ('Simple Get with q=',query) asJavascript "
   ^ (Array streamContents: [ :stream |
      DFIStories default items do: [ :each |
         stream nextPut: (Dictionary new
            at: 'title' put: each title;
            yourself) ] ])
      asJavascript
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleHead
   "Unsupported"
	<head>
   ^'Simple Head'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simpleMove
	<move>
   ^'Simple Move'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simplePost
	<post>
   ^'SUCCESSFULPOST'
! !

!DFIMealsHandler methodsFor: 'as yet unclassified' stamp: 'PhilippeBack 6/2/2013 11:41'!
simplePut
	<put>
   ^'Simple Put'
! !
DFIHandler initialize!
DFIMealsHandler initialize!
